
Foreman - Bug #2338

unable to save new bookmark: hit submit and nothing happens

03/18/2013 04:20 PM - Haim Ateya

Status: Resolved   

Priority: High   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

reproduce:

1) query:  facts.kernelrelease ~ * and host.hostgroup = Storage

2) bookmark this search

3) submit

nothing happens, can't even debug this.

History

#1 - 03/19/2013 04:52 AM - Dominic Cleal

I can't reproduce this on the latest 1.1 install, entering the query on the facts page.

If you're a non-admin user, can you check you're on the very latest 1.1 package available?  There was an issue with AJAX queries not working on the

first 1.1 release, this might affect it if you're not an admin.

Also if non-admin, check that you have the create_bookmarks permission granted in one of the user's roles.

Lastly, can you check /var/log/foreman/production.log for any requests when you click Submit?

#2 - 03/19/2013 04:52 AM - Dominic Cleal

- Status changed from New to Feedback

#3 - 03/19/2013 06:21 AM - Haim Ateya

I can confirm i'm on latest 1.1

I can confirm i'm not an admin user.

#4 - 03/19/2013 06:51 AM - Dominic Cleal

Roles?  Logs?

#5 - 02/27/2014 12:52 PM - Benjamin Papillon

- Description updated

Hello

3 releases passed since you reported the issue. Do you still have the problem? Did you upgrade to 1.4.x?

Regards

#6 - 05/17/2017 06:38 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
